| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetEsrpQueueResult Struct Reference

Get Esrp Queue result. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__ResultCodeStruct * | ResultCodeStruct
| Result Code structure. More...
xsd__string | QueueName
| Esrp Queue name. More...
xsd__string | QueueNotes
| Esrp Queue Notes required: true default value[range]: NA [1..256]. More...
xsd__string | QueueUri
| Esrp Queue URI required: true default value[range]: NA [1..256]. More...
xsd__string | PolicyNameOrig
| Esrp Originating Policy Name required: false default value[range]: NA [1..128]. More...
xsd__string | PolicyNameTerm
| Esrp Terminating Policy Name required: false default value[range]: NA [1..128]. More...
xsd__boolean * | Override
| Esrp Override option. More...
enum unsp__QueueState * | QueueState
| Esrp Queue State. More...
xsd__int * | MaxQueueLen
| ESRP Max Queue Length. More...
xsd__int * | NumOfCallsInQueue
| ESRP Number of Calls in Queue. More...
xsd__boolean * | AllowAllSubscriptions
| Esrp Allow All Subscriptions option. More...
char * | FEName
| Functional Element Name. More...

## Detailed Description

Get Esrp Queue result.

Used by unsp__GetEsrpQueue()

## Member Data Documentation

## ◆ AllowAllSubscriptions

xsd__boolean* unsp__GetEsrpQueueResult::AllowAllSubscriptions

Esrp Allow All Subscriptions option.

(Applicable only as notifier/server)

## ◆ FEName

char* unsp__GetEsrpQueueResult::FEName

Functional Element Name.

(Applicable only as subscriber/client)

## ◆ MaxQueueLen

xsd__int* unsp__GetEsrpQueueResult::MaxQueueLen

ESRP Max Queue Length.

The maximum number of calls allowed per queue. (Applicable only as notifier/server)

## ◆ NumOfCallsInQueue

xsd__int* unsp__GetEsrpQueueResult::NumOfCallsInQueue

ESRP Number of Calls in Queue.

(Applicable only as notifier/server)

## ◆ Override

xsd__boolean* unsp__GetEsrpQueueResult::Override

Esrp Override option.

(Applicable only as notifier/server)

## ◆ PolicyNameOrig

xsd__string unsp__GetEsrpQueueResult::PolicyNameOrig

Esrp Originating Policy Name
required: false
default value[range]: NA [1..128].

## ◆ PolicyNameTerm

xsd__string unsp__GetEsrpQueueResult::PolicyNameTerm

Esrp Terminating Policy Name
required: false
default value[range]: NA [1..128].

## ◆ QueueName

xsd__string unsp__GetEsrpQueueResult::QueueName

Esrp Queue name.

required: true
default value[range]: NA [1..128]

## ◆ QueueNotes

xsd__string unsp__GetEsrpQueueResult::QueueNotes

Esrp Queue Notes
required: true
default value[range]: NA [1..256].

## ◆ QueueState

enum unsp__QueueState* unsp__GetEsrpQueueResult::QueueState

Esrp Queue State.

## ◆ QueueUri

xsd__string unsp__GetEsrpQueueResult::QueueUri

Esrp Queue URI
required: true
default value[range]: NA [1..256].

## ◆ ResultCodeStruct

struct unsp__ResultCodeStruct* unsp__GetEsrpQueueResult::ResultCodeStruct

Result Code structure.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h